#!/bin/sh

cd /tmp
          
echo "Removing old clones..."
rm -rf ./${PKG_NAME}

echo "Cloning the repo..."
git clone --depth=1 https://git.alice.ufsj.edu.br/${REPO_NAME}

echo "Removing .git dir..."
rm -rf ./${PKG_NAME}/.git ./${PKG_NAME}/.gitea
ls -la ./${PKG_NAME}

echo "Building package..."
dpkg-deb --build ${PKG_NAME}

echo "Moving package to ppa..."
mv ${PKG_NAME}.deb /var/www/html/debian/pool/main
cd /var/www/html/debian

echo "Creating Packages file..."
dpkg-scanpackages pool/ > dists/stable/main/binary-amd64/Packages

echo "Creating Relase file..."
apt-ftparchive -c /var/www/html/debian/apt-ftparchive.conf release /var/www/html/debian/dists/stable > /var/www/html/debian/dists/stable/Release
